Debian Bug report logs - #681998
gnat-4.6: Use GCC stack frame unwinder for GNU/Hurd in tracebak.c

version graph

Package: gnat-4.6; Maintainer for gnat-4.6 is Debian GCC Maintainers <debian-gcc@lists.debian.org>; Source for gnat-4.6 is src:gnat-4.6.

Reported by: svante.signell@telia.com

Date: Wed, 18 Jul 2012 15:39:02 UTC

Severity: important

Tags: patch

Found in version 4.6.2-4

Fixed in version gnat-4.6/4.6.3-5

Done: Ludovic Brenta <lbrenta@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-hurd@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#681998; Package gnat-4.6. (Wed, 18 Jul 2012 15:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to svante.signell@telia.com:
New Bug report received and forwarded. Copy sent to debian-hurd@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Wed, 18 Jul 2012 15:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnat-4.6: Use GCC stack frame unwinder for GNU/Hurd in tracebak.c
Date: Wed, 18 Jul 2012 17:28:35 +0200
Package: gnat-4.6
Version: 4.6.2-4
Severity: important
Tags: patch
Usertags: hurd
User: debian-hurd@lists.debian.org

Hello,

Trying to find the problems with gprbuild, see bug #673015, the
traceback function used for GNU/Hurd caused a segfault for gprconfig.
Digging further revealed that the GNU/Hurd stack frame does not seem to
be static enough to define USE_GENERIC_UNWINDER in gcc/ada/tracebak.c.

However, USE_GCC_UNWINDER works (and the dummy version of course)! The
patch is inlined below.

--- a/src/gcc/ada/tracebak.c 2011-09-19 11:10:42.000000000 +0200
+++ b/src/gcc/ada/tracebak.c 2012-07-17 08:46:29.000000000 +0200
@@ -320,7 +320,7 @@
 /* Starting with GCC 4.6, -fomit-frame-pointer is turned on by default
for
    32-bit x86/Linux as well and DWARF 2 unwind tables are emitted
instead.
    See the x86-64 case below for the drawbacks with this approach.  */
-#if defined (linux) && (__GNUC__ * 10 + __GNUC_MINOR__ > 45)
+#if (defined (linux) || defined(__GNU__)) && (__GNUC__ * 10 +
__GNUC_MINOR__ > 45)
 #define USE_GCC_UNWINDER
 #else
 #define USE_GENERIC_UNWINDER





Reply sent to Ludovic Brenta <lbrenta@debian.org>:
You have taken responsibility. (Wed, 18 Jul 2012 23:06:04 GMT) Full text and rfc822 format available.

Notification sent to svante.signell@telia.com:
Bug acknowledged by developer. (Wed, 18 Jul 2012 23:06:04 GMT) Full text and rfc822 format available.

Message #10 received at 681998-close@bugs.debian.org (full text, mbox):

From: Ludovic Brenta <lbrenta@debian.org>
To: 681998-close@bugs.debian.org
Subject: Bug#681998: fixed in gnat-4.6 4.6.3-5
Date: Wed, 18 Jul 2012 23:02:13 +0000
Source: gnat-4.6
Source-Version: 4.6.3-5

We believe that the bug you reported is fixed in the latest version of
gnat-4.6, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 681998@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ludovic Brenta <lbrenta@debian.org> (supplier of updated gnat-4.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 18 Jul 2012 22:41:12 +0200
Source: gnat-4.6
Binary: gnat-4.6-base gnat-4.6 gnat-4.6-sjlj libgnat-4.6 libgnat-4.6-dbg libgnatvsn4.6-dev libgnatvsn4.6 libgnatvsn4.6-dbg libgnatprj4.6-dev libgnatprj4.6 libgnatprj4.6-dbg
Architecture: source amd64
Version: 4.6.3-5
Distribution: unstable
Urgency: low
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Changed-By: Ludovic Brenta <lbrenta@debian.org>
Description: 
 gnat-4.6   - GNU Ada compiler
 gnat-4.6-base - GNU Ada compiler (common files)
 gnat-4.6-sjlj - GNU Ada compiler (setjump/longjump runtime library)
 libgnat-4.6 - runtime for applications compiled with GNAT (shared library)
 libgnat-4.6-dbg - runtime for applications compiled with GNAT (debugging symbols)
 libgnatprj4.6 - GNU Ada compiler Project Manager (shared library)
 libgnatprj4.6-dbg - GNU Ada compiler Project Manager (debugging symbols)
 libgnatprj4.6-dev - GNU Ada compiler Project Manager (development files)
 libgnatvsn4.6 - GNU Ada compiler selected components (shared library)
 libgnatvsn4.6-dbg - GNU Ada compiler selected components (debugging symbols)
 libgnatvsn4.6-dev - GNU Ada compiler selected components (development files)
Closes: 681998
Changes: 
 gnat-4.6 (4.6.3-5) unstable; urgency=low
 .
   [Svante Signell]
   * debian/patches/ada-symbolic-tracebacks.diff (src/gcc/ada/tracebak.c):
     new hunk.  Use the GCC stack unwinder on GNU/Hurd.  Closes: #681998.
 .
   Merge from gcc-4.6 (4.6.3-8) unstable; urgency=low
 .
   * Update to SVN 20120624 (r188916) from the gcc-4_6-branch.
     - Fix PR gcov-profile/53744, PR target/48126, PR target/53621,
       PR target/53559, PR target/46261, PR target/52999, PR middle-end/53541,
       PR target/53385, PR middle-end/51071, PR target/52407, PR c/52862,
       PR fortran/53597, PR fortran/50619, PR fortran/53521, PR fortran/53389,
       PR libstdc++/53678.
   * Update the Linaro support to the 4.6-2012.06 release.
 .
   Merge from gcc-4.6 (4.6.3-7) unstable; urgency=low
 .
   * Update to SVN 20120528 (r187930) from the gcc-4_6-branch.
     - Fix PR target/53385, PR middle-end/51071, PR target/52407,
       PR c/52862, PR fortran/53389.
 .
   Merge from gcc-4.6 (4.6.3-6) unstable; urgency=low
 .
   * Update to SVN 20120522 (r187757) from the gcc-4_6-branch.
     - Fix PR fortran/52864, PR c/53418, PR target/53416, PR target/46098,
       PR target/52999, PR target/53228, PR target/53199, PR fortran/53310.
   * Update the arm-dynamic-linker patch as found on the trunk, and
     the arm-multilib-defaults patch as proposed for upstream.
   * Update the Linaro support to the 4.6-2012.05 release.
Checksums-Sha1: 
 49247c999a64e3eb41304ffdb2b5117b5aa1ca87 2820 gnat-4.6_4.6.3-5.dsc
 5e8fdfaac5d5e2477f37a7b5c75c0877b673932a 1181175 gnat-4.6_4.6.3-5.tar.gz
 821a314f36d8952a9d56d52ad873e4dbe5ad4329 150350 gnat-4.6-base_4.6.3-5_amd64.deb
 34d77f1455548b609a2a26625709121e001507fa 1188874 libgnat-4.6_4.6.3-5_amd64.deb
 1156e6d5b74c738b8b0b71f4f0437d95559a8a3f 2040558 libgnat-4.6-dbg_4.6.3-5_amd64.deb
 070358e78a0bcc33b3cdd25ac70b919095a47b18 1804858 libgnatvsn4.6-dev_4.6.3-5_amd64.deb
 140f735d114a8bcfd73201da7b7bc38de43d7db4 350354 libgnatvsn4.6_4.6.3-5_amd64.deb
 1dd4da97047e8598a82d743f216cf55b40d672a3 472580 libgnatvsn4.6-dbg_4.6.3-5_amd64.deb
 1e86fa00c10a1bee2083c91222a29bff77afb6b0 3043530 libgnatprj4.6-dev_4.6.3-5_amd64.deb
 71a202697a9c7d945777f45ec966aee50f943e22 607548 libgnatprj4.6_4.6.3-5_amd64.deb
 e0f8ab3a7dc1376dbeeef4ab3626646b96ba7f63 1028650 libgnatprj4.6-dbg_4.6.3-5_amd64.deb
 59ccd25054c8658129afe6afc8feb0bcd1c48228 11737780 gnat-4.6_4.6.3-5_amd64.deb
 392c4623a8f38f5f7126fb30dec5973434f2f8f4 4605676 gnat-4.6-sjlj_4.6.3-5_amd64.deb
Checksums-Sha256: 
 974b47391f995240993ae4bf7d9632e278c0204f4e846d48ca244ddbbb0135b6 2820 gnat-4.6_4.6.3-5.dsc
 c621ade853d3b828f39645d0953ad16b8d846929c41f74b5325bada0fef624a5 1181175 gnat-4.6_4.6.3-5.tar.gz
 01f22b055c1f2ca557ca2f5b79163efc24ae02eaae49e0c403e78d1a776b56ab 150350 gnat-4.6-base_4.6.3-5_amd64.deb
 67e3d837754da0bddbbb85afdf0f4a55b21c836047c3cab3a5d93ffe999d7dd5 1188874 libgnat-4.6_4.6.3-5_amd64.deb
 ab624c787a34f695fb94b2d8bbf2de49215a1683456cb73acb8ca08adade53ce 2040558 libgnat-4.6-dbg_4.6.3-5_amd64.deb
 2c28de367bf6c778005efca4438a8cd2c4fa9394a04cd84ee3206f5bc89b8b40 1804858 libgnatvsn4.6-dev_4.6.3-5_amd64.deb
 3770ff59414cb5c21a19d10c544bfeb381f98a4dbff8dbef334a2f705d77cf60 350354 libgnatvsn4.6_4.6.3-5_amd64.deb
 ffd025f0e2b44df4c0cbb0afc542122259fb29086dacd02ccccd642797404329 472580 libgnatvsn4.6-dbg_4.6.3-5_amd64.deb
 9fe98ec25ad32d1f2e71c9f0966f6d6ebf055962a5e0ae0966ee75c1df7ed46a 3043530 libgnatprj4.6-dev_4.6.3-5_amd64.deb
 a513a5ebd50a402c769e84919a1acf0cde0404ec24e5673aff2f4c92cd474c36 607548 libgnatprj4.6_4.6.3-5_amd64.deb
 82110b345e9c758353cd9c568691b3a2b5d67f33d7a39e8f5bb796e3b9187dc0 1028650 libgnatprj4.6-dbg_4.6.3-5_amd64.deb
 f3a8b172493b914729013fb6d83df005f1c595bf70438420f4e234e4f8b35241 11737780 gnat-4.6_4.6.3-5_amd64.deb
 7d9475d6cc1cc6bc90840afb99cdc09b34e0f9ba57ecc6dde5769112f1eec17f 4605676 gnat-4.6-sjlj_4.6.3-5_amd64.deb
Files: 
 6dba298fc34b894f137fd94ac060410e 2820 devel optional gnat-4.6_4.6.3-5.dsc
 0e68b78235bc260088b5651428dc076d 1181175 devel optional gnat-4.6_4.6.3-5.tar.gz
 7248cdae59e09b47ad01f1a36f2153d8 150350 libs optional gnat-4.6-base_4.6.3-5_amd64.deb
 a03e8e197f2ce7240fb6165e687dc48c 1188874 libs optional libgnat-4.6_4.6.3-5_amd64.deb
 4d04bebd75877dfdb7deb9c8fdd6c3eb 2040558 debug extra libgnat-4.6-dbg_4.6.3-5_amd64.deb
 8e60351ef90534de8707f6e6a57f3418 1804858 libdevel extra libgnatvsn4.6-dev_4.6.3-5_amd64.deb
 92a70ab774dc897b328646b6b4aeda28 350354 libs optional libgnatvsn4.6_4.6.3-5_amd64.deb
 ebd03eedc296031caa15ed1892110523 472580 debug extra libgnatvsn4.6-dbg_4.6.3-5_amd64.deb
 281927790d4d4d7e3553a5a1ba9df745 3043530 libdevel extra libgnatprj4.6-dev_4.6.3-5_amd64.deb
 606198bd0da8a14f24c5623af7432a0e 607548 libs optional libgnatprj4.6_4.6.3-5_amd64.deb
 45db0e1f764d8b9f6c61476ff5ea9b16 1028650 debug extra libgnatprj4.6-dbg_4.6.3-5_amd64.deb
 47dbf951fd00b7f8d980a7fefbd472b1 11737780 devel optional gnat-4.6_4.6.3-5_amd64.deb
 3dcff0da79a057a7c913109271b2f17b 4605676 devel extra gnat-4.6-sjlj_4.6.3-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFQBzrfx9kwJZ3/qtQRAhhgAKCJb4ASGHP9lfxNB6HOi3fCb1NBSQCdHqpj
rn41BM5BIEBpBQkiqev0RoU=
=TKhE
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 16 Aug 2012 07:27:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:42:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.